Package com.io7m.idstore.server.service.configuration.jaxb

# Class HTTPServiceType

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.HTTPServiceType

public class HTTPServiceType extends Object

Java class for HTTPServiceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HTTPServiceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="ListenAddress" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ListenPort" use="required" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
           <attribute name="ExternalURI" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `externalURI`
  `protected String`
  `listenAddress`
  `protected long`
  `listenPort`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HTTPServiceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExternalURI()`
  Gets the value of the externalURI property.
  `String`
  `getListenAddress()`
  Gets the value of the listenAddress property.
  `long`
  `getListenPort()`
  Gets the value of the listenPort property.
  `void`
  `setExternalURI(String value)`
  Sets the value of the externalURI property.
  `void`
  `setListenAddress(String value)`
  Sets the value of the listenAddress property.
  `void`
  `setListenPort(long value)`
  Sets the value of the listenPort property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### listenAddress

    protected String listenAddress

  - ### listenPort

    protected long listenPort

  - ### externalURI

    protected String externalURI

- ## Constructor Details

  - ### HTTPServiceType

    public HTTPServiceType()

- ## Method Details

  - ### getListenAddress

    public String getListenAddress()
    Gets the value of the listenAddress property.
    Returns:
      possible object is `String`

  - ### setListenAddress

    public void setListenAddress(String value)
    Sets the value of the listenAddress property.
    Parameters:
      `value` - allowed object is `String`

  - ### getListenPort

    public long getListenPort()
    Gets the value of the listenPort property.

  - ### setListenPort

    public void setListenPort(long value)
    Sets the value of the listenPort property.

  - ### getExternalURI

    public String getExternalURI()
    Gets the value of the externalURI property.
    Returns:
      possible object is `String`

  - ### setExternalURI

    public void setExternalURI(String value)
    Sets the value of the externalURI property.
    Parameters:
      `value` - allowed object is `String`